Skip to main content

Get Coupons data

To obtain coupons that the Seller can use during a transaction (apply to a purchase), it is possible to use the following endpoints:
  1. Get Customer Coupons (SearchUserCoupons) - Returns array of Customer coupons by search params (returns all coupons of the specified Customer).
  2. Get Active Coupons By Location - Returns array of all active coupons of the specified pos location.

Get Customer Coupons

POST https://apitest.clearline.me/pos/{posSystemId}/coupon/couponCode/search

Input request

Input parameters

Response

Get Active Coupons By Location

GET https://apitest.clearline.me/pos/{posSystemId}/coupon/active/locationId/{posLocation}

Input request

Input parameters

Response

Apply discount to order

In order to apply a discount to an order, we need to use these parameters:

Response Example